const socket = io('/login');
const form = document.querySelector('#login-form');
const input = document.querySelector('#login-input');
const userId = localStorage.getItem('userId');

// Función para redirigir a la página 'salageneral.html'
const redirectToGeneralPage = () => {
  window.location.href = 'salageneral.html';
};

if (userId) redirectToGeneralPage();

// Escucha el evento de envío del formulario
form.addEventListener('submit', (e) => {
  e.preventDefault();
  const nick = input.value.trim();
  if (nick) {
    socket.emit('login', nick, (userInfo) => {
      localStorage.setItem('userId', userInfo);
      redirectToGeneralPage();
    });
  }
});
